Get the previews of an entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/playlists/entities/{entity_id}/preview-files

Get the preview files of an entity. The response is a map of task type identifiers to lists of previews. You must be a member of the project. A vendor must have a task on the entity.

Path parameters

  • entity_id string(uuid) Required

    Entity unique identifier

Responses

  • 200 application/json

    A map of task type identifiers to lists of previews

    Hide response attribute Show response attribute object
    • * array[object] Additional properties
      Hide * attributes Show * attributes object
      • id string(uuid)

        Preview file unique identifier

      • name string

        Preview file name

  • 403

    You are not a member of the project, or you are a vendor without a task on this entity

  • 404

    The entity does not exist

GET /data/playlists/entities/{entity_id}/preview-files
curl -X GET "http://api.example.com/data/playlists/entities/a24a6ea4-ce75-4665-a070-57453082c25/preview-files" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/playlists/entities/a24a6ea4-ce75-4665-a070-57453082c25/preview-files"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "additionalProperty1": [
    {
      "id": "a24a6ea4-ce75-4665-a070-57453082c250",
      "name": "preview_v001.png"
    }
  ],
  "additionalProperty2": [
    {
      "id": "a24a6ea4-ce75-4665-a070-57453082c250",
      "name": "preview_v001.png"
    }
  ]
}